[Vm-dev] [commit][3022] Update the Spur image buld scripts to the branched forms of the Monticello

commits at squeakvm.org commits at squeakvm.org
Sun Jun 29 06:02:08 UTC 2014


Revision: 3022
Author:   eliot
Date:     2014-06-28 23:02:05 -0700 (Sat, 28 Jun 2014)
Log Message:
-----------
Update the Spur image buld scripts to the branched forms of the Monticello
packages (no spur repository).  Use the 3021 VMs.  Make functions out of the
"extract VM from tar" & "extract VM from zip" sequences.

Modified Paths:
--------------
    branches/Cog/image/buildspurtrunkimage.sh
    branches/Cog/image/buildsqueak45vmmakerimage.sh
    branches/Cog/image/buildsqueaktrunkvmmakerimage.sh
    branches/Cog/image/envvars.sh

Added Paths:
-----------
    branches/Cog/image/get3021spurvm.sh
    branches/Cog/image/get3021vm.sh

Removed Paths:
-------------
    branches/Cog/image/ChangeUpdateStreamToSpur.st
    branches/Cog/image/get2897spurvm.sh
    branches/Cog/image/get2897vm.sh

Deleted: branches/Cog/image/ChangeUpdateStreamToSpur.st
===================================================================
--- branches/Cog/image/ChangeUpdateStreamToSpur.st	2014-06-29 02:57:50 UTC (rev 3021)
+++ branches/Cog/image/ChangeUpdateStreamToSpur.st	2014-06-29 06:02:05 UTC (rev 3022)
@@ -1,3 +0,0 @@
-"Change the update stream to spur but don't update."
-MCMcmUpdater defaultUpdateURL: 'http://source.squeak.org/spur'.
-Smalltalk snapshot: true andQuit: true
Modified: branches/Cog/image/buildspurtrunkimage.sh
===================================================================
--- branches/Cog/image/buildspurtrunkimage.sh	2014-06-29 02:57:50 UTC (rev 3021)
+++ branches/Cog/image/buildspurtrunkimage.sh	2014-06-29 06:02:05 UTC (rev 3022)
@@ -1,7 +1,7 @@
 #!/bin/sh
 . ./envvars.sh
 ./getsqueak45.sh
-. ./get2897vm.sh
+. ./get3021vm.sh
 
 cp -p $SQUEAK45.image trunk46forspur.image
 cp -p $SQUEAK45.changes trunk46forspur.changes
@@ -9,8 +9,6 @@
 rm -f temp-spur-repository/* temp-v3-repository/*
 echo $VM trunk46forspur.image BuildSqueakTrunkImage.st
 $VM trunk46forspur.image BuildSqueakTrunkImage.st
-echo $VM trunk46forspur.image ChangeUpdateStreamToSpur.st
-$VM trunk46forspur.image ChangeUpdateStreamToSpur.st
 echo $VM trunk46forspur.image WriteSpurPackagesToTempDir.st
 $VM trunk46forspur.image WriteSpurPackagesToTempDir.st
 
@@ -22,7 +20,7 @@
 	for f in *VMMaker*spur.image; do
 		if test -f "$f"; then
 			IMAGE="$f"
-.			./get2897spurvm.sh
+.			./get3021spurvm.sh
 			break 2
 		fi
 	done
@@ -30,7 +28,7 @@
 		for f in *VMMaker*.image; do
 			if test -f "$f"; then
 				IMAGE="$f"
-.				./get2897vm.sh
+.				./get3021vm.sh
 				break 2
 			fi
 		done
@@ -50,6 +48,6 @@
 mv trunk46forspur-spur.changes trunk46-spur.changes
 
 # Now load the modified packages
-. ./get2897spurvm.sh
+. ./get3021spurvm.sh
 echo $VM trunk46-spur.image LoadSpurPackagesFromTempDir.st
 $VM trunk46-spur.image LoadSpurPackagesFromTempDir.st

Modified: branches/Cog/image/buildsqueak45vmmakerimage.sh
===================================================================
--- branches/Cog/image/buildsqueak45vmmakerimage.sh	2014-06-29 02:57:50 UTC (rev 3021)
+++ branches/Cog/image/buildsqueak45vmmakerimage.sh	2014-06-29 06:02:05 UTC (rev 3022)
@@ -1,7 +1,7 @@
 #!/bin/bash
 . ./envvars.sh
 ./getsqueak45.sh
-. ./get2897vm.sh
+. ./get3021vm.sh
 
 cp -p $SQUEAK45.image CogVMMaker.image
 cp -p $SQUEAK45.changes CogVMMaker.changes

Modified: branches/Cog/image/buildsqueaktrunkvmmakerimage.sh
===================================================================
--- branches/Cog/image/buildsqueaktrunkvmmakerimage.sh	2014-06-29 02:57:50 UTC (rev 3021)
+++ branches/Cog/image/buildsqueaktrunkvmmakerimage.sh	2014-06-29 06:02:05 UTC (rev 3022)
@@ -1,7 +1,7 @@
 #!/bin/bash
 . ./envvars.sh
 ./getsqueak45.sh
-. ./get2897vm.sh
+. ./get3021vm.sh
 
 cp -p $SQUEAK45.image CogVMMaker.image
 cp -p $SQUEAK45.changes CogVMMaker.changes

Modified: branches/Cog/image/envvars.sh
===================================================================
--- branches/Cog/image/envvars.sh	2014-06-29 02:57:50 UTC (rev 3021)
+++ branches/Cog/image/envvars.sh	2014-06-29 06:02:05 UTC (rev 3022)
@@ -21,3 +21,47 @@
 
 test "$OS" = Darwin && function quietmd5 () { /sbin/md5 -q "$1"; }
 test "$OS" = Darwin || function quietmd5 () { /usr/bin/md5sum "$1" | sed 's/ .*$//'; }
+
+function get_vm_from_tar() # VM VMHASH VMARC VMARCHASH
+{	VM="$1"
+	VMDIR=`echo $VM | sed 's/\/.*//'`
+	VMHASH="$2"
+	if [ ! -d $VMDIR -o "`quietmd5 "$VM"`" != $VMHASH ]; then
+		VMARC="$3"
+		ARCHASH="$4"
+		if [ ! -f "$VMARC" -o "`quietmd5 "$VMARC"`" != $ARCHASH ]; then
+			wget -c "$URL/$VMARC"
+			if [ ! -f "$VMARC" -o "`quietmd5 "$VMARC"`" != $ARCHASH ]; then
+				echo failed to get $VMARC \; file corrupted\? 1>&2
+				exit 2
+			fi
+		fi
+		tar xzf "$VMARC"
+		if [ ! -d $VMDIR -o "`quietmd5 "$VM"`" != $VMHASH ]; then
+			echo failed to correctly extract $VMDIR from $VMARC 1>&2
+			exit 3
+		fi
+	fi
+}
+
+function get_vm_from_zip() # VM VMHASH VMARC VMARCHASH
+{	VM="$1"
+	VMDIR=`echo $VM | sed 's/\/.*//'`
+	VMHASH="$2"
+	VMARC="$3"
+	ARCHASH="$4"
+	if [ ! -d "$VMDIR" -o "`quietmd5 "$VM"`" != $VMHASH ]; then
+		if [ ! -f "$VMARC" -o "`quietmd5 "$VMARC"`" != $ARCHASH ]; then
+			wget -c "$URL/$VMARC"
+			if [ ! -f "$VMARC" -o "`quietmd5 "$VMARC"`" != $ARCHASH ]; then
+				echo failed to get $VMARC \; file corrupted\? 1>&2
+				exit 2
+			fi
+		fi
+		unzip -q "$VMARC"
+		if [ ! -d "$VMDIR" -o "`quietmd5 "$VM"`" != $VMHASH ]; then
+			echo failed to correctly extract "`dirname $VM`" from $VMARC 1>&2
+			exit 3
+		fi
+	fi
+}

Deleted: branches/Cog/image/get2897spurvm.sh
===================================================================
--- branches/Cog/image/get2897spurvm.sh	2014-06-29 02:57:50 UTC (rev 3021)
+++ branches/Cog/image/get2897spurvm.sh	2014-06-29 06:02:05 UTC (rev 3022)
@@ -1,84 +0,0 @@
-#!/bin/sh
-# Sets the VM env var to the r2987 Cog Spur VM for the current platform.
-# will download and install the VM in this directory if necessary.
-#set -v
-. ./envvars.sh
-
-if wget --help >/dev/null; then
-	true
-else
-	echo 'could not find wget.  you can find instructions on how to install it on google.' 1>&2
-	 exit 1
-fi
-
-URL=http://www.mirandabanda.org/files/Cog/VM/VM.r2987/
-
-case "$OS" in
-Darwin)
-	VM=CogSpur.app/Contents/MacOS/Squeak
-	VMHASH=8d2bbd946a70e3992cca0fbc125d2f19
-	if [ ! -d CogSpur.app -o "`/sbin/md5 -q $VM`" != $VMHASH ]; then
-		VMARC=CogSpur.app-14.23.2987.tgz
-		ARCHASH=16fef44f099f1f89e6fcd1d53ea58b02
-		if [ ! -f "$VMARC" -o "`/sbin/md5 -q "$VMARC"`" != $ARCHASH ]; then
-			wget -c "$URL/$VMARC"
-			if [ ! -f "$VMARC" -o "`/sbin/md5 -q "$VMARC"`" != $ARCHASH ]; then
-				echo failed to get $VMARC \; file corrupted\? 1>&2
-				exit 2
-			fi
-		fi
-		tar xzf "$VMARC"
-		if [ ! -d CogSpur.app -o "`/sbin/md5 -q $VM`" != $VMHASH ]; then
-			echo failed to correctly extract CogSpur.app from $VMARC 1>&2
-			exit 3
-		fi
-	fi;;
-Linux)
-	VM=cogspurlinuxht/lib/squeak/4.0-2987/squeak
-	VMHASH=c2787117cf634c4561c7f7a22d748221
-	VMARC=cogspurlinuxht-14.23.2987.tgz
-	ARCHASH=40b943c9ab0dcc472b952167579b994f
-	if [ ! -d "`dirname $VM`" -o \
-		"`/usr/bin/md5sum "$VM" | sed 's/ .*$//'`" != $VMHASH ]; then
-		if [ ! -f "$VMARC" \
-			-o "`/usr/bin/md5sum "$VMARC" | sed 's/ .*$//'`" != $ARCHASH ]; then
-			wget -c "$URL/$VMARC"
-			if [ ! -f "$VMARC" \
-				-o "`/usr/bin/md5sum "$VMARC" | sed 's/ .*$//'`" != $ARCHASH ]; then
-				echo failed to get $VMARC \; file corrupted\? 1>&2
-				exit 2
-			fi
-		fi
-		tar xzf "$VMARC"
-		if [ ! -d "`dirname $VM`" \
-			-o "`/usr/bin/md5sum $VM | sed 's/ .*$//'`" != $VMHASH ]; then
-			echo failed to correctly extract "`dirname $VM`" from $VMARC 1>&2
-			exit 3
-		fi
-	fi
-	VM="cogspurlinuxht/squeak";;
-CYGWIN*)
-	VM=cogwin/SqueakConsole.exe
-	VMHASH=a68a3eab7db6713bed9f1560759f73ae
-	VMARC=cogwin-14.23.2987.zip
-	ARCHASH=acd8291859bfe10a52d6ecb28271a673
-	if [ ! -d "`dirname $VM`" \
-			-o "`/usr/bin/md5sum "$VM" | sed 's/ .*$//'`" != $VMHASH ]; then
-		if [ ! -f "$VMARC" \
-			-o "`/usr/bin/md5sum "$VMARC" | sed 's/ .*$//'`" != $ARCHASH ]; then
-			wget -c "$URL/$VMARC"
-			if [ ! -f "$VMARC" \
-				-o "`/usr/bin/md5sum "$VMARC" | sed 's/ .*$//'`" != $ARCHASH ]; then
-				echo failed to get $VMARC \; file corrupted\? 1>&2
-				exit 2
-			fi
-		fi
-		unzip -q "$VMARC"
-		if [ ! -d "`dirname $VM`" \
-			-o "`/usr/bin/md5sum $VM | sed 's/ .*$//'`" != $VMHASH ]; then
-			echo failed to correctly extract "`dirname $VM`" from $VMARC 1>&2
-			exit 3
-		fi
-	fi;;
-*)	echo "don't know how to run Squeak on your system.  bailing out." 1>&2; exit 2
-esac

Deleted: branches/Cog/image/get2897vm.sh
===================================================================
--- branches/Cog/image/get2897vm.sh	2014-06-29 02:57:50 UTC (rev 3021)
+++ branches/Cog/image/get2897vm.sh	2014-06-29 06:02:05 UTC (rev 3022)
@@ -1,87 +0,0 @@
-#!/bin/sh
-# Sets the VM env var to the r2987 Cog VM for the current platform.
-# will download and install the VM in this directory if necessary.
-#set -v
-. ./envvars.sh
-
-if wget --help >/dev/null ; then
-	true
-else
-	echo 'could not find wget.  you can find instructions on how to install it on google.' 1>&2
-	 exit 1
-fi
-
-URL=http://www.mirandabanda.org/files/Cog/VM/VM.r2987/
-
-case "$OS" in
-Darwin)
-	VM=Cog.app/Contents/MacOS/Squeak
-	VMHASH=ec2962db9518aaea4fee1bc92007e635
-	if [ ! -d Cog.app -o "`quientmd5 $VM`" != $VMHASH ]; then
-		VMARC=Cog.app-14.23.2987.tgz
-		ARCHASH=0f84cf23e98ea03ee7e87ccc8ba756ec
-		if [ ! -f "$VMARC" -o "`quietmd5 $VMARC`" != $ARCHASH ]; then
-			wget -c "$URL/$VMARC"
-			if [ ! -f "$VMARC" -o "`quietmd5 $VMARC`" != $ARCHASH ]; then
-				echo failed to get $VMARC \; file corrupted\? 1>&2
-				exit 2
-			fi
-		fi
-		tar xzf "$VMARC"
-		if [ ! -d Cog.app -o "`quietmd5 $VM`" != $VMHASH ]; then
-			echo failed to correctly extract Cog.app from $VMARC 1>&2
-			exit 3
-		fi
-	fi;;
-Linux)
-	if expr $OSREL \> 2.6.12; then
-		VM=coglinuxht/lib/squeak/4.0-2987/squeak
-		VMHASH=6dc8912ed01875df67331d6cf592ac4b
-		VMARC=coglinuxht-14.23.2987.tgz
-		ARCHASH=e580c191aecce7c56fbe1900a5df2984
-	else
-		VM=coglinux/lib/squeak/4.0-2987/squeak
-		VMHASH=8afd4020caca229b8bba4bd6a79d6d83
-		VMARC=coglinux-14.23.2987.tgz
-		ARCHASH=19d9c28860758db4e2f25642837de3c3
-	fi
-	if [ ! -d "`dirname $VM`" -o "`quietmd5 $VM`" != $VMHASH ]; then
-		if [ ! -f "$VMARC" -o "`quietmd5 $VMARC`" != $ARCHASH ]; then
-			wget -c "$URL/$VMARC"
-			if [ ! -f "$VMARC" -o "`quietmd5 $VMARC`" != $ARCHASH ]; then
-				echo failed to get $VMARC \; file corrupted\? 1>&2
-				exit 2
-			fi
-		fi
-		tar xzf "$VMARC"
-		if [ ! -d "`dirname $VM`" -o "`quietmd5 $VM`" != $VMHASH ]; then
-			echo failed to correctly extract "`dirname $VM`" from $VMARC 1>&2
-			exit 3
-		fi
-	fi
-	if expr $OSREL \> 2.6.12; then
-		VM="coglinuxht/squeak"
-	else
-		VM="coglinux/squeak"
-	fi;;
-CYGWIN*)
-	VM=cogwin/SqueakConsole.exe
-	VMHASH=a68a3eab7db6713bed9f1560759f73ae
-	VMARC=cogwin-14.23.2987.zip
-	ARCHASH=acd8291859bfe10a52d6ecb28271a673
-	if [ ! -d "`dirname $VM`" -o "`quietmd5 $VM`" != $VMHASH ]; then
-		if [ ! -f "$VMARC" -o "`quietmd5 $VMARC`" != $ARCHASH ]; then
-			wget -c "$URL/$VMARC"
-			if [ ! -f "$VMARC" -o "`quietmd5 $VMARC`" != $ARCHASH ]; then
-				echo failed to get $VMARC \; file corrupted\? 1>&2
-				exit 2
-			fi
-		fi
-		unzip -q "$VMARC"
-		if [ ! -d "`dirname $VM`" -o "`quietmd5 $VM`" != $VMHASH ]; then
-			echo failed to correctly extract "`dirname $VM`" from $VMARC 1>&2
-			exit 3
-		fi
-	fi;;
-*)	echo "don't know how to run Squeak on your system.  bailing out." 1>&2; exit 2
-esac

Added: branches/Cog/image/get3021spurvm.sh
===================================================================
--- branches/Cog/image/get3021spurvm.sh	                        (rev 0)
+++ branches/Cog/image/get3021spurvm.sh	2014-06-29 06:02:05 UTC (rev 3022)
@@ -0,0 +1,30 @@
+#!/bin/sh
+# Sets the VM env var to the r3021 Cog Spur VM for the current platform.
+# will download and install the VM in this directory if necessary.
+#set -v
+. ./envvars.sh
+
+if wget --help >/dev/null; then
+	true
+else
+	echo 'could not find wget.  you can find instructions on how to install it on google.' 1>&2
+	 exit 1
+fi
+
+URL=http://www.mirandabanda.org/files/Cog/VM/VM.r3021/
+
+case "$OS" in
+Darwin) get_vm_from_tar \
+			CogSpur.app/Contents/MacOS/Squeak fb003318b8fbb7a50dc9f6d9dd82b454 \
+			CogSpur.app-14.25.3021.tgz 6767d878f8331a0728ca3fb19cfd754e
+	VM=CogSpur.app/Contents/MacOS/Squeak;;
+Linux) get_vm_from_tar \
+	cogspurlinuxht/lib/squeak/4.0-3021/squeak e826b2307e1618ee3492de7fae0ae594 \
+	cogspurlinuxht-14.25.3021.tgz ad01f54ae5d3c2c3b4d8e8f1d640fedd
+	VM=cogspurlinuxht/squeak;;
+CYGWIN*) get_vm_from_zip \
+			cogspurwin/SqueakConsole.exe 8d8a644ef1bf7e201862e49ce9358e11 \
+			cogspurwin-14.25.3021.zip 407da5d8f34482be96eaa299907c51eb
+	VM=cogwin/SqueakConsole.exe;;
+*)	echo "don't know how to run Squeak on your system.  bailing out." 1>&2; exit 2
+esac


Property changes on: branches/Cog/image/get3021spurvm.sh
___________________________________________________________________
Added: svn:executable
   + *

Added: branches/Cog/image/get3021vm.sh
===================================================================
--- branches/Cog/image/get3021vm.sh	                        (rev 0)
+++ branches/Cog/image/get3021vm.sh	2014-06-29 06:02:05 UTC (rev 3022)
@@ -0,0 +1,38 @@
+#!/bin/sh
+# Sets the VM env var to the r3021 Cog VM for the current platform.
+# will download and install the VM in this directory if necessary.
+#set -v
+. ./envvars.sh
+
+if wget --help >/dev/null ; then
+	true
+else
+	echo 'could not find wget.  you can find instructions on how to install it on google.' 1>&2
+	 exit 1
+fi
+
+URL=http://www.mirandabanda.org/files/Cog/VM/VM.r3021/
+
+case "$OS" in
+Darwin) get_vm_from_tar \
+			Cog.app/Contents/MacOS/Squeak 8f6f98f8bc7e79ceb19734286d0dbe1b \
+			Cog.app-14.25.3021.tgz ac6a54d861cf6fb46d7b926f6d8baf50
+		VM=Cog.app/Contents/MacOS/Squeak;;
+Linux)
+	if expr $OSREL \> 2.6.12; then
+		get_vm_from_tar \
+		coglinuxht/lib/squeak/4.0-3021/squeak de88791228cbb74925de35cb126f317b \
+		coglinuxht-14.25.3021.tgz 3486b358193430d46094ea3abfe9a093
+		VM=coglinuxht/lib/squeak/4.0-3021/squeak
+	else
+		get_vm_from_tar \
+		coglinux/lib/squeak/4.0-3021/squeak 77b02e13a80bbea045fafc59a6f963ec \
+		coglinux-14.25.3021.tgz 9c87dc67d7505be3b4c74497fa09f61c
+		VM=coglinux/lib/squeak/4.0-3021/squeak
+	fi;;
+CYGWIN*) get_vm_from_zip \
+			cogwin/SqueakConsole.exe c72e3239aa011374896361d08d184afc \
+			cogwin-14.25.3021.zip e0189adc34a8c8f6f015ae621245c475
+	VM=cogwin/SqueakConsole.exe;;
+*)	echo "don't know how to run Squeak on your system.  bailing out." 1>&2; exit 2
+esac


Property changes on: branches/Cog/image/get3021vm.sh
___________________________________________________________________
Added: svn:executable
   + *



More information about the Vm-dev mailing list